# leaveEncounterWithoutBattle | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function leaveEncounterWithoutBattle

- leaveEncounterWithoutBattle(
  addHealPhase?: boolean,
  encounterMode?: MysteryEncounterMode ,
  ): void

  Can be used to exit an encounter without any battles or followup Will skip any shops and rewards, and queue the next encounter phase as normal

  #### Parameters

  - addHealPhase: boolean = false

    when true, will add a shop phase to end of encounter with 0 rewards but healing items are available

  - encounterMode: MysteryEncounterMode = MysteryEncounterMode.NO_BATTLE

    Can set custom encounter mode if necessary (may be required for forcing Pokemon to return before next phase)

  #### Returns void

  - Defined in src/data/mystery-encounters/utils/encounter-phase-utils.ts:848